==================== e2ps(EUC to PS)  Vesion 4.34   08/21/2002
	Tool for printing text files by ps
		Copyright 1999-2002  Nobuyuki SHIRAKI (White Tools Presents)
			Last change : Wed 21 August 2002  17:54:51

  e2ps is a tool for printing Japanese EUC code text.
  Because it processes mainly EUC files, I named this tool 'e'2ps.


== How to install
- arrange Makefile
    You have to configure following values for your system.
	E2PS_INST_DIR	Set directory to install binaries.
- run 'make' command
    After configuration, run
	make
	make install
    In E2PS_INST_DIR, e2ps and e2lpr(synbolic link to e2ps) are created.


== How to use (simply)
- e2ps [arguments] [filenames...]
    filename and standard-input are both OK. The output is to standard-out
    as postscript text.
- e2lpr sends postscript text to the default printer directly.
- e2ps -h  shows arguments help.
    frequently used arguments follows:

	-p			: portrait
	-p2			: portrait 2 pages/paper (default)
	-p4			: portrait 4 pages/paper
	-pv4			: portrait 4 pages/paper vertical
							Ex: 1 2
							    3 4
	-l			: landsacpe
	-l2			: landscape 2 pages/paper
	-l4			: landscape 4 pages/paper
	-lv4			: landscape 4 pages/paper vertical
							Ex: 1 3
							    2 4
	-box			: page frame line print
	-size fontsize		: fontsize (10.0)
	-line line		: max lines/page (66)
	-nh			: not print headers
	-Pprinter		: printer name
	-h | --help		: show this help
	-v | --version		: show version


== Complex arguments
- -af		(default: Courier)
- -abf		(default: Courier-Bold)
- -abif		(default: Courier-BoldOblique)
    Specify PostScript ASCII-fonts (bold, bold-italic).
    You can read font-list with -fl argument, but every fonts can be used.
    Available font is based on the printer.
	Example:
	-af Times-Roman		print with Times-Roman

- -afw		(default: 0.6)
- -afh		(default: 1.0)
- -kfw		(default: 1.2)
- -kfh		(default: 1.0)
    Specify scales of font-width and font-height.
    -afw and -afh specify ASCII-font's width and height.
    -kfw and -kfh specify KANJI-font's width and height.
    A value over 1.0 of either -afh or -kfh is ignored.
    Courier font width is 0.6 times as large as its height.
    Kanji font width is equal to its height, but Kanji font is printed
    with 1.2 times width. So default value is 1.2.
	Example:
	-afw 0.3	ASCII-font is printed with half width
	-afw 1.2	ASCII-font is printed with 2 times width
	-afh 0.5	ASCII-font is printed with half height
	-afh 1.2	ASCII-font is printed normally
	-kfw 1.0	KANJI-font is printed densely
	-kfw 0.5	KANJI-font is printed with half width
	-kfw 2.0	KANJI-font is printed with 2 times width
	-kfh 0.5	KANJI-font is printed with half height
	-kfh 1.2	KANJI-font is printed normally

- -ohp
    printing on OHP sheet with big size font (25.0) and without headers.

- -date
    Specifies date-character-string printed on top-left of a page.
    Your printer can use EUC-font, you can specify EUC character strings.

- -head
    Specifies file-name-character-string printed on top-center of a page.
    Your printer can use EUC-font, you can specify EUC character strings.

- -page
    Specifies page-character-string printed on top-right of a page.
    ' specified-string + page-number ' is the print-style.
    Your printer can use EUC-font, you can specify EUC character strings.


== Chages
- version 4.34
    enabled Japanese header strings.
    corrected bugs of LANG environment.
- version 4.33
    make process of big-size files much faster.
- version 4.32
    added functions of 4 pages/paper vertical printing.
        added arguments:-pv4, -lv4
- version 4.31
    corrected a problem about 0 byte input.
- version 4.30
    added a function of setting font-width and font-height magnification.
        added arguments: -afw, -afhm, -kfw, -kfh
    changed portrait 2 pages/paper to portrait 1 in OHP printing.
    changed process of KANJI code convertion.
    corrected other problems.
- version 4.29
    corrected PowerPC arm s390's char architecture problem.
    corrected SJIS problems.
    corrected other problems.
- version 4.28
    corrected ASCII fonts arguments's problems.
- version 4.27
    corrected header fonts problems.
- version 4.26
    corrected Y2K problem again.
    arrange sources a little.
    became able to change space ratio between lines.
- version 4.25
    corrected help and library mistakes which are misprinting fonts.
    corrected font size mistakes in ps-font.c
- version 4.24
    corrected the 'Copyright' expression.
    corrected the argument '-box' problems.
- version 4.23
    became smaller especially for ps-font.c.
- version 4.22
    became able to print page box like a2ps.
- version 4.21
    corrected Y2K problem.
- version 4.20
    made English help etc.
    changed EUC and JIS printing with argument.
    output number of printing papers to stndard error.
- version 4.11
    became able to deal with Tektronix printers. (-DTEKTRO)
- version 4.1
    became able to deal with printers without EUC fonts. (-DJIS_PS)


== Copyright
    The copyright of 'e2ps' is according to GPL.


== E-mail Address (Aug/2002)
    If you want to use whole or part of e2ps, I wish you e-mail to me.
	n-shiraki@mosk.tytlabs.co.jp
	shiraki@mx9.freecom.ne.jp
    'wt' and 'White Tools' mean the tools I made.
